For the complete documentation index, see llms.txt. This page is also available as Markdown.

Start enrollment for a user

Returns an enrollment token, valid for 24 hours, and the URL the user opens to finish enrollment in a browser or in the desktop client. The user can also be notified by email.

post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired

Name of the user.

Body
emailstring · nullableOptional
send_enrollment_notificationbooleanOptional
token_expiration_timestring · nullableOptional
Responses
201

Enrollment token and URL.

application/json
objectOptional
post/api/v1/user/{username}/start_enrollment
POST /api/v1/user/{username}/start_enrollment HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "email": null,
  "send_enrollment_notification": true,
  "token_expiration_time": null
}
{
  "enrollment_token": "5nT2xK9wQpR7vL1yZbH3cD8fG5aQeJmU",
  "enrollment_url": "https://vpn.example.com/enrollment"
}

Last updated

Was this helpful?